Bug 538487 - Please add Maven depmap fragments
Please add Maven depmap fragments
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: postgresql-jdbc (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Tom Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-18 12:15 EST by Mary Ellen Foster
Modified: 2013-07-02 23:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: 8.4.701-3.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 555582 (view as bug list)
Environment:
Last Closed: 2009-12-11 13:22:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
mvn-jpp output when building against the new postgresql (6.26 KB, text/plain)
2009-11-23 12:53 EST, Mary Ellen Foster
no flags Details

  None (edit)
Description Mary Ellen Foster 2009-11-18 12:15:27 EST
Description of problem:
Please add Maven depmap fragments to the spec file as specified here:
    https://fedoraproject.org/wiki/Packaging/Java#maven
This makes it possible for other packages that use Maven to build against the jakarta-commons-pool library.

The appropriate call to %add_to_maven_depmap is probably:
    %add_to_maven_depmap postgresql postgresql %{version} JPP postgresql


Version-Release number of selected component (if applicable):
postgresql-jdbc-8.4.701-1.fc12.x86_64
Comment 1 Mary Ellen Foster 2009-11-23 09:55:42 EST
A bit more testing indicates that the proper line should actually be
    %add_to_maven_depmap postgresql postgresql %{version} JPP postgresql-jdbc
(the last item on the line refers to the actual filename of the .jar file)
Comment 2 Tom Lane 2009-11-23 11:50:07 EST
Patch committed (with help from Deepak Bhole).  Please test.
Comment 3 Fedora Update System 2009-11-23 11:51:57 EST
postgresql-jdbc-8.4.701-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/postgresql-jdbc-8.4.701-2.fc12
Comment 4 Mary Ellen Foster 2009-11-23 12:53:23 EST
Created attachment 373191 [details]
mvn-jpp output when building against the new postgresql

I don't think things are quite right -- if I try to build a package that wants postgresql-jdbc (using mvn-jpp), I get the attached errors. If I move the .pom out of the way, things seem to work well with just the depmap fragment, though.

Here's the fragment of the POM in question that requests postgresql:

               <dependency>
                        <groupId>postgresql</groupId>
                        <artifactId>postgresql</artifactId>
                        <scope>provided</scope>
                </dependency>
Comment 5 Tom Lane 2009-11-23 13:19:00 EST
Hey Deepak, what do you make of this?  It looks to me like maybe removing the package version just doesn't work.

If so I'd be inclined to "sed" the actual version into the file at package build time, rather than trying to maintain it manually.  It seems like rather a poor design of a packaging system though.
Comment 6 Tom Lane 2009-11-24 11:24:08 EST
Mary Ellen, does it work if you modify the .pom file like this?

*** postgresql-jdbc.pom~        Tue Nov 24 11:20:47 2009
--- postgresql-jdbc.pom Tue Nov 24 11:22:27 2009
***************
*** 6,11 ****
--- 6,12 ----
    <packaging>jar</packaging>
    <name>PostgreSQL JDBC Driver</name>
  
+   <version>8.4-701</version>
    <url>http://jdbc.postgresql.org</url>
    <description>The PostgreSQL Driver JDBC4</description>
    <licenses>
Comment 7 Mary Ellen Foster 2009-11-24 11:36:50 EST
Yes, my package builds clean with that patch. Weird ... still getting my head around how Maven/POM files/etc. work.
Comment 8 Tom Lane 2009-11-24 15:04:57 EST
OK, I've updated the testing release to 8.4.701-3.  Please check it and vote the karma up if OK.
Comment 9 Fedora Update System 2009-11-25 10:32:11 EST
postgresql-jdbc-8.4.701-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update postgresql-jdbc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12186
Comment 10 Fedora Update System 2009-12-11 13:21:59 EST
postgresql-jdbc-8.4.701-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.